edu.isi.pegasus.planner.code.generator.condor.style

## Class CondorC

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.condor.style.Abstract
  - - edu.isi.pegasus.planner.code.generator.condor.style.Condor
    - - edu.isi.pegasus.planner.code.generator.condor.style.CondorC

All Implemented Interfaces:
  CondorStyle

    public class CondorC
    extends Condor

Enables a job to be directly submitted to the condor pool of which the submit host is a part of. This style is applied for jobs to be run - on the submit host in the scheduler universe (local pool execution) - on the local condor pool of which the submit host is a part of

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `COLLECTOR_KEY` The key that designates the collector associated with the job
`static java.lang.String` `GRID_RESOURCE_KEY` The key that designates the collector associated with the job
`static java.lang.String` `REMOTE_SHOULD_TRANSFER_FILES_KEY` The corresponding remote kye name that designates that files should be transferred via Condor File Transfer mechanism.
`static java.lang.String` `REMOTE_UNIVERSE_KEY` The constant for the remote universe key.
`static java.lang.String` `REMOTE_WHEN_TO_TRANSFER_OUTPUT_KEY` The corresponding name of the remote key that designated when to transfer output.
`static java.lang.String` `SHOULD_TRANSFER_FILES_KEY` The name of the key that designates that files should be transferred via Condor File Transfer mechanism.
`static java.lang.String` `STYLE_NAME` The name of the style being implemented.
`static java.lang.String` `WHEN_TO_TRANSFER_OUTPUT_KEY` The name of key that designates when to transfer output.

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Condor

`LOCAL_UNIVERSE, PARALLEL_UNIVERSE, PEGASUS_CONNECT_STDIN_KEY, PEGASUS_EXECUTE_IN_INITIAL_DIR, PEGASUS_INITIAL_DIR_KEY, PEGASUS_LITE_LOCAL_FILE_BASENAME, PEGASUS_TRANSFER_INPUT_FILES_KEY, PEGASUS_TRANSFER_OUTPUT_FILES_KEY, SCHEDULER_UNIVERSE, STANDARD_UNIVERSE, TRANSFER_EXECUTABLE_KEY, UNIVERSE_KEY, VANILLA_UNIVERSE`

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`mCredentialFactory, mLogger, mProps, mSiteStore`

### Fields inherited from interface edu.isi.pegasus.planner.code.generator.condor.CondorStyle

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CondorC()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Job job)` Applies the CondorC style to the job.
`protected java.lang.String` `constructGridResource(Job job)` Constructs the grid_resource entry for the job.

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Condor

`getSubmitHostPathToPegasusLiteLocal, initialize`

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`apply, applyCredentialsForJobSubmission, applyCredentialsForLocalExec, applyCredentialsForRemoteExec, complainForCredential, errorMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REMOTE_UNIVERSE_KEY

    public static final java.lang.String REMOTE_UNIVERSE_KEY

The constant for the remote universe key.

See Also:
  Constant Field Values

#### SHOULD_TRANSFER_FILES_KEY

    public static final java.lang.String SHOULD_TRANSFER_FILES_KEY

The name of the key that designates that files should be transferred via Condor File Transfer mechanism.

See Also:
  Constant Field Values

#### REMOTE_SHOULD_TRANSFER_FILES_KEY

    public static final java.lang.String REMOTE_SHOULD_TRANSFER_FILES_KEY

The corresponding remote kye name that designates that files should be transferred via Condor File Transfer mechanism.

See Also:
  Constant Field Values

#### WHEN_TO_TRANSFER_OUTPUT_KEY

    public static final java.lang.String WHEN_TO_TRANSFER_OUTPUT_KEY

The name of key that designates when to transfer output.

See Also:
  Constant Field Values

#### REMOTE_WHEN_TO_TRANSFER_OUTPUT_KEY

    public static final java.lang.String REMOTE_WHEN_TO_TRANSFER_OUTPUT_KEY

The corresponding name of the remote key that designated when to transfer output.

See Also:
  Constant Field Values

#### COLLECTOR_KEY

    public static final java.lang.String COLLECTOR_KEY

The key that designates the collector associated with the job

See Also:
  Constant Field Values

#### GRID_RESOURCE_KEY

    public static final java.lang.String GRID_RESOURCE_KEY

The key that designates the collector associated with the job

See Also:
  Constant Field Values

#### STYLE_NAME

    public static final java.lang.String STYLE_NAME

The name of the style being implemented.

See Also:
  Constant Field Values

### Constructor Detail

#### CondorC

    public CondorC()

The default constructor.

### Method Detail

#### apply

    public void apply(Job job)
               throws CondorStyleException

Applies the CondorC style to the job.

Specified by:
  `apply` in interface `CondorStyle`
Overrides:
  `apply` in class `Condor`
Parameters:
  `job` - the job on which the style needs to be applied.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.

#### constructGridResource

    protected java.lang.String constructGridResource(Job job)
                                              throws CondorStyleException

Constructs the grid_resource entry for the job. The grid resource is a tuple consisting of three fields. The first field is the grid type, which is condor. The second field is the name of the remote condor_schedd daemon. The third field is the name of the remote pool's condor_collector.

Parameters:
  `job` - the job
Returns:
  the grid_resource entry
Throws:
  `CondorStyleException` - in case of any error occuring code generation.